18 berichten aan het bekijken - 1 tot 18 (van in totaal 18)
  • Q:
    Bijdrager
    QSD

    Kun je nieuwe mac kopen met vorig OS ?

    Misschien rare vraag maar kan ik een nieuwe iMac kopen en vragen of daar af fabriek het vorig OS op geïnstalleerd wordt of moet dat door de dealer gebeuren ?

    Bedankt.

    Bijdrager
    TheBigZ

    Iedere nieuwe Mac komt met een minimale OS versie eis. Die kun je vinden op bijvoorbeeld everymac.

    https://everymac.com/systems/apple/imac/index-imac.html

     

    Voor de 2019 iMacs is dat 10.14.4. (Mojave)

     

    Je kunt met de 2019 iMac dus nog één macOS versie terug. Die kun je er zelf opzetten.

    Bijdrager
    QSD

    Met behoud van de waarborg uiteraard.

    Bijdrager
    TheBigZ

    Je kunt (binnen garantie) gewoon ieder ondersteunde macOS versie op je iMac zetten.

    Bijdrager
    KarelWillem

    ‘Af fabriek’ zal dat zeker niet geregeld kunnen worden.

    En de meeste Apple-retailers zullen ook niet staan te springen denk ik.

    Bijdrager
    MacFan55

    De versie OSX waarmee een Mac ooit geleverd werd is ook de laagste versie die erop kan draaien.

    Je kunt dus niet een vorig systeem erop installeren

    Bijdrager
    McPim

    Meestal kan dat niet, soms kun je één versie terug, precies zoals TheBigZ zegt. Bijvoorbeeld de 2019 iMac die inmiddels met Catalina geleverd wordt.

    Bijdrager
    computer space

    Kijk even rond met zoektermen als imac 10.2 high sierra tutorial. Vaak zijn er andere Macs die technisch vergelijkbaar zijn maar eerder uitkwamen en ouder OS ondersteunen. Heb zelf zo 10.6 op Mac staan die met 10.8 in de doos zat. Soms moet je daarvoor model-string aanpassen om installer te foppen.

    • Deze reactie is gewijzigd 4 weken, 1 dag geleden door computer space.
    Bijdrager
    bluap

    De winkel / leverancier zal dit niet kunnen verkopen aan je. Sommige zullen je misschien helpen bij installatie oude versies, maar is niet hun taak. En er zal zeker geen garantie worden gegeven op goede werking. Soms is dit puur theoretisch: maar als je hardware niet ondersteunt wordt door oude software (logisch omdat de nieuwe hardware toen nog niet bekend was), dan is het wachten op ongewenste effecten. Natuurlijk kan het soms ook wel goed werken. Eigenlijk kan je iedere versie wel op je mac krijgen, maar is het maar proberen (of op internet iemand anders zijn ervaringen lezen) of het goed werkt.

    Bijdrager
    McPim

    bluap op 30 januari 2020 om 12:30
    Eigenlijk kan je iedere versie wel op je mac krijgen,

    Normaal gesproken niet, je krijgt dan een verbodsteken op je scherm. De enige optie is dan de ‘Dosdude’ truc (of wat computer space zegt) maar ik denk dat dat niet de bedoeling van de vraag was. Een splinternieuwe Mac hacken is vragen om problemen.

     

    Bijdrager
    hendrik ijzerbroot

    <p class=”cite”>McPim op 29 januari 2020 om 08:48</p>
    Meestal kan dat niet, soms kun je één versie terug, precies zoals TheBigZ zegt. Bijvoorbeeld de 2019 iMac die inmiddels met Catalina geleverd wordt.

    Daar ben ik niet zo zeker van als jij en TheBigZ. Volgens mij is het altijd zo geweest dat het meegeleverde OS-X de minimale versie is die er zonder meer op draait. Voor een (iets) ouder OS moet je trucs toepassen. De reden zit hem niet altijd in het feit dat toen het oudere OS uitkwam de huidige hardware nog niet bestond (daar zit per versie nummer meestal maar één jaar tussen) maar heeft het eerder met de installer te maken. Die test het model nummer en verbind daar een minimale OS versie aan en dat is altijd het meegeleverde OS. Soms is dat met reden maar meestal is het gewoon marketing.

     

    In ieder geval zullen dealers eerst hun oude voorraad verkopen waar dus Mojave nog op staat. Wil je nu dus gelijk al Catalina dan moet je dus online bestellen bij Apple want ik denk dat ook de fysieke Apple store eerst oude voorraden kwijt wil.

    Bijdrager
    McPim

    hendrik ijzerbroot op 30 januari 2020 om 14:27
    Daar ben ik niet zo zeker van als jij en TheBigZ. Volgens mij is het altijd zo geweest dat het meegeleverde OS-X de minimale versie is die er zonder meer op draait.

    Lees even goed: behalve als er in de levenscyclus van die hardware een nieuwer macOS verschijnt. Op zeker moment wordt die hardware dan met het nieuwe macOS geleverd. In dat geval zal de vorige versie gewoon werken op die Mac, want daar werd ie tenslotte initieel mee geleverd. Zo bedoelde ik het, en TheBigZ volgens mij ook. In andere gevallen heb je trucs nodig, zoals ik ook al zei, en werkt het standaard gewoon niet (verbodsbord tijdens installatie).

    Bijdrager
    hendrik ijzerbroot

    Er is technisch gesproken meestal geen reden waarom een ouder OS (of programma) niet op een hedendaagse Mac zou draaien. Op een Mac die oorspronkelijk Mojave had en nu geleverd wordt met Catalina kan Mojave natuurlijk ook op draaien. Maar heb je het geprobeerd? De vraag is of dat zonder meer kan. Want vaak moet je de installerscripts toch echt aanpassen hoor.

     

    Zoals gezegd is er geen reden waarom een ouder OS of programma niet op een hedendaagse Mac zou kunnen draaien. Tenslotte hebben we allemaal software dat verscheiden jaren geleden uit kwam en het nog steeds doet. Voor een OS is het niet anders want dat is ook software. Maar Apple gooit graag ‘oud spul’ op de vuilnisbelt en dwingt ons het nieuwste van het nieuwste te blijven gebruiken en dat doet Apple o.a. door de installer te blokkeren als je een OS wilt installeren dat ‘ouder’ is dan het meegeleverde.

     

    Anders gezegd: zolang de hardware de resources heeft om oude software te runnen kan het gewoon. Maar dan moet de installer het wel toestaan.

    Omgekeerd kan het natuurlijk wél mis gaan als je nieuwe software wilt installeren op oude hardware.

    Bijdrager
    McPim

    In oudere macOS versies zitten toch geen drivers voor de toen nog niet bestaande hardware die pas later verscheen? Dat lijkt me een belangrijker obstakel en wel degelijk een technische reden.

    Bijdrager
    hendrik ijzerbroot

    Uiteraard zit aan alles een grens. Maar aangezien Apple praktisch elk jaar een nieuw OS uitbrengt (10.7 t/m 10.15 kwamen elk jaar uit) en hardware niet perse elk jaar drastisch veranderd zullen er best wel enkele oudere versies zijn waarvoor geen technische reden bestaat dat ze niet zullen werken op een nieuwere Mac. Ik zei ook: “zolang de hardware de resources heeft om oude software te runnen kan het gewoon“. Waarmee ik dus bedoel dat als de eisen van de hardware niet in conflict zijn met de software er geen probleem is.

     

    Het hangt er ook vanaf wat er precies in de hardware veranderd is. Een snellere CPU maakt niets uit natuurlijk. En ook de sprong van USB 2 naar 3 b.v. niet want die is backwards compatible. Zelfs een compleet nieuw concept zoals ‘Metal’ hoeft geen probleem te zijn aangezien de oudere software gewoon niet op de hoogte is van het bestaan. (Mijn versie van Photoshop uit 2018 werkt er b.v. mee maar dat kan ik ook uitzetten). Wel belangrijk natuurlijk is de grafische kaart want (te) oude software ondersteunen die dan niet en dat geldt dan ook voor het OS. Ook moeten we niet vergeten dat als je er dieper op in gaat er veel mogelijk is met Terminal. Maar dat gaat de meeste mensen boven hun pet en daar moet je dan meer van weten als de insteller gewoon zegt dat het niet kan.

    Bijdrager
    McPim

    hendrik ijzerbroot op 30 januari 2020 om 16:18
    Het hangt er ook vanaf wat er precies in de hardware veranderd is.

    Helder en mee eens, we zitten op dezelfde golflengte.. 👍🏻 Het probleem (technisch) zal inderdaad een grafische kaart zijn, of Bluetooth en WiFi chips bijvoorbeeld. Dat zie je ook vaak als issues bij de Dosdude truc en in de Hackintosh scene. Als die hobbels er niet zijn kan het werken, mét kunstgrepen.

     

    Bijdrager
    QSD

    Ok, mannen, nu ben ik mee.  Bedankt.

     

    Bijdrager
    TheBigZ

    Resumerend: Voor de 2019 iMacs is dat 10.14.4.:-)

18 berichten aan het bekijken - 1 tot 18 (van in totaal 18)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.